## spdlog 1.8.1%2Bds

=== CMakeLists.txt ===
# Copyright(c) 2019 spdlog authors Distributed under the MIT License (http://opensource.org/licenses/MIT)

cmake_minimum_required(VERSION 3.10)

# ---------------------------------------------------------------------------------------
# Start spdlog project
# ---------------------------------------------------------------------------------------
include(cmake/utils.cmake)
include(cmake/ide.cmake)

spdlog_extract_version()

project(spdlog VERSION ${SPDLOG_VERSION} LANGUAGES CXX)
message(STATUS "Build spdlog: ${SPDLOG_VERSION}")

include(GNUInstallDirs)

# ---------------------------------------------------------------------------------------
# Set default build to release
# ---------------------------------------------------------------------------------------
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose Release or Debug" FORCE)
endif()

# ---------------------------------------------------------------------------------------
# Compiler config
# ---------------------------------------------------------------------------------------
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

set(CMAKE_CXX_EXTENSIONS OFF)

if(CMAKE_SYSTEM_NAME MATCHES "CYGWIN" OR CMAKE_SYSTEM_NAME MATCHES "MSYS")
    set(CMAKE_CXX_EXTENSIONS ON)
endif()

# ---------------------------------------------------------------------------------------
# Set SPDLOG_MASTER_PROJECT to ON if we are building spdlog
# ---------------------------------------------------------------------------------------
# Check if spdlog is being used directly or via add_subdirectory, but allow overriding
if(NOT DEFINED SPDLOG_MASTER_PROJECT)
    if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
        set(SPDLOG_MASTER_PROJECT ON)
    else()
        set(SPDLOG_MASTER_PROJECT OFF)
    endif()
endif()

option(SPDLOG_BUILD_ALL "Build all artifacts" OFF)

# build shared option
option(SPDLOG_BUILD_SHARED "Build shared library" OFF)

# precompiled headers option
option(SPDLOG_ENABLE_PCH "Build static or shared library using precompiled header to speed up compilation time" OFF)

# example options
option(SPDLOG_BUILD_EXAMPLE "Build example" ${SPDLOG_MASTER_PROJECT})
option(SPDLOG_BUILD_EXAMPLE_HO "Build header only example" OFF)

# testing options
option(SPDLOG_BUILD_TESTS "Build tests" OFF)
option(SPDLOG_BUILD_TESTS_HO "Build tests using the header only version" OFF)

# bench options
option(SPDLOG_BUILD_BENCH "Build benchmarks (Requires https://github.com/google/benchmark.git to be installed)" OFF)

# sanitizer options
option(SPDLOG_SANITIZE_ADDRESS "Enable address sanitizer in tests" OFF)

# warning options
option(SPDLOG_BUILD_WARNINGS "Enable compiler warnings" OFF)

# install options
option(SPDLOG_INSTALL "Generate the install target" ${SPDLOG_MASTER_PROJECT})
option(SPDLOG_FMT_EXTERNAL "Use external fmt library instead of bundled" OFF)
option(SPDLOG_FMT_EXTERNAL_HO "Use external fmt header-only library instead of bundled" OFF)
option(SPDLOG_NO_EXCEPTIONS "Compile with -fno-exceptions. Call abort() on any spdlog exceptions" OFF)

if(SPDLOG_FMT_EXTERNAL AND SPDLOG_FMT_EXTERNAL_HO)
    message(FATAL_ERROR "SPDLOG_FMT_EXTERNAL and SPDLOG_FMT_EXTERNAL_HO are mutually exclusive")
endif()

# misc tweakme options
if(WIN32)
    option(SPDLOG_WCHAR_SUPPORT "Support wchar api" OFF)
    option(SPDLOG_WCHAR_FILENAMES "Support wchar filenames" OFF)
endif()
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    option(SPDLOG_CLOCK_COARSE
           "Use the much faster (but much less accurate) CLOCK_REALTIME_COARSE instead of the regular clock," OFF)
endif()

option(SPDLOG_PREVENT_CHILD_FD "Prevent from child processes to inherit log file descriptors" OFF)
option(SPDLOG_NO_THREAD_ID "prevent spdlog from querying the thread id on each log call if thread id is not needed" OFF)
option(SPDLOG_NO_TLS "prevent spdlog from using thread local storage" OFF)
option(
    SPDLOG_NO_ATOMIC_LEVELS
    "prevent spdlog from using of std::atomic log levels (use only if your code never modifies log levels concurrently"
    OFF)

# clang-tidy
if(${CMAKE_VERSION} VERSION_GREATER "3.5")
    option(SPDLOG_TIDY "run clang-tidy" OFF)
endif()

if(SPDLOG_TIDY)
    set(CMAKE_CXX_CLANG_TIDY "clang-tidy")
    set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
    message(STATUS "Enabled clang-tidy")
endif()

find_package(Threads REQUIRED)
message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
# ---------------------------------------------------------------------------------------
# Static/Shared library (shared not supported in windows yet)
# ---------------------------------------------------------------------------------------
set(SPDLOG_SRCS src/spdlog.cpp src/stdout_sinks.cpp src/color_sinks.cpp src/file_sinks.cpp src/async.cpp src/cfg.cpp)

if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
    list(APPEND SPDLOG_SRCS src/fmt.cpp)
endif()

if(SPDLOG_BUILD_SHARED)
    if(WIN32)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/version.rc.in ${CMAKE_CURRENT_BINARY_DIR}/version.rc @ONLY)
        list(APPEND SPDLOG_SRCS ${CMAKE_CURRENT_BINARY_DIR}/version.rc)
    endif()
    add_library(spdlog SHARED ${SPDLOG_SRCS} ${SPDLOG_ALL_HEADERS})
    target_compile_definitions(spdlog PUBLIC SPDLOG_SHARED_LIB)
    if(MSVC)
        target_compile_options(spdlog PUBLIC /wd4251 /wd4275)
    endif()
    if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
        target_compile_definitions(spdlog PRIVATE FMT_EXPORT PUBLIC FMT_SHARED)
    endif()
else()
    add_library(spdlog STATIC ${SPDLOG_SRCS} ${SPDLOG_ALL_HEADERS})
endif()

add_library(spdlog::spdlog ALIAS spdlog)

target_compile_definitions(spdlog PUBLIC SPDLOG_COMPILED_LIB)
target_include_directories(spdlog PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/include>"
                                         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
target_link_libraries(spdlog PUBLIC Threads::Threads)
spdlog_enable_warnings(spdlog)

set_target_properties(spdlog PROPERTIES VERSION ${SPDLOG_VERSION} SOVERSION ${SPDLOG_VERSION_MAJOR})
set_target_properties(spdlog PROPERTIES DEBUG_POSTFIX d)

if(COMMAND target_precompile_headers AND SPDLOG_ENABLE_PCH)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/pch.h.in ${PROJECT_BINARY_DIR}/spdlog_pch.h @ONLY)
    target_precompile_headers(spdlog PRIVATE ${PROJECT_BINARY_DIR}/spdlog_pch.h)
endif()

# ---------------------------------------------------------------------------------------
# Header only version
# ---------------------------------------------------------------------------------------
add_library(spdlog_header_only INTERFACE)
add_library(spdlog::spdlog_header_only ALIAS spdlog_header_only)

target_include_directories(spdlog_header_only INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/include>"
                                                        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
target_link_libraries(spdlog_header_only INTERFACE Threads::Threads)

# ---------------------------------------------------------------------------------------
# Use fmt package if using external fmt
# ---------------------------------------------------------------------------------------
if(SPDLOG_FMT_EXTERNAL OR SPDLOG_FMT_EXTERNAL_HO)
    if(NOT TARGET fmt::fmt)
        find_package(fmt 5.3.0 REQUIRED)
    endif()
    target_compile_definitions(spdlog PUBLIC SPDLOG_FMT_EXTERNAL)
    target_compile_definitions(spdlog_header_only INTERFACE SPDLOG_FMT_EXTERNAL)

    # use external fmt-header-nly
    if(SPDLOG_FMT_EXTERNAL_HO)
        target_link_libraries(spdlog PUBLIC fmt::fmt-header-only)
        target_link_libraries(spdlog_header_only INTERFACE fmt::fmt-header-only)
    else() # use external compile fmt
        target_link_libraries(spdlog PUBLIC fmt::fmt)
        target_link_libraries(spdlog_header_only INTERFACE fmt::fmt)
    endif()

    set(PKG_CONFIG_REQUIRES fmt) # add dependency to pkg-config
endif()

# ---------------------------------------------------------------------------------------
# Misc definitions according to tweak options
# ---------------------------------------------------------------------------------------
set(SPDLOG_WCHAR_TO_UTF8_SUPPORT ${SPDLOG_WCHAR_SUPPORT})
foreach(
    SPDLOG_OPTION
    SPDLOG_WCHAR_TO_UTF8_SUPPORT
    SPDLOG_WCHAR_FILENAMES
    SPDLOG_NO_EXCEPTIONS
    SPDLOG_CLOCK_COARSE
    SPDLOG_PREVENT_CHILD_FD
    SPDLOG_NO_THREAD_ID
    SPDLOG_NO_TLS
    SPDLOG_NO_ATOMIC_LEVELS)
    if(${SPDLOG_OPTION})
        target_compile_definitions(spdlog PUBLIC ${SPDLOG_OPTION})
        target_compile_definitions(spdlog_header_only INTERFACE ${SPDLOG_OPTION})
    endif()
endforeach()

if(SPDLOG_NO_EXCEPTIONS AND NOT MSVC)
    target_compile_options(spdlog PRIVATE -fno-exceptions)
endif()

# ---------------------------------------------------------------------------------------
# Build binaries
# ---------------------------------------------------------------------------------------
if(SPDLOG_BUILD_EXAMPLE OR SPDLOG_BUILD_EXAMPLE_HO OR SPDLOG_BUILD_ALL)
    message(STATUS "Generating example(s)")
    add_subdirectory(example)
    spdlog_enable_warnings(example)
    if(SPDLOG_BUILD_EXAMPLE_HO)
        spdlog_enable_warnings(example_header_only)
    endif()
endif()

if(SPDLOG_BUILD_TESTS OR SPDLOG_BUILD_TESTS_HO OR SPDLOG_BUILD_ALL)
    message(STATUS "Generating tests")
    enable_testing()
    add_subdirectory(tests)
endif()

if(SPDLOG_BUILD_BENCH OR SPDLOG_BUILD_ALL)
    message(STATUS "Generating benchmarks")
    add_subdirectory(bench)
endif()

# ---------------------------------------------------------------------------------------
# Install
# ---------------------------------------------------------------------------------------
if(SPDLOG_INSTALL)
    message(STATUS "Generating install")
    set(project_config_in "${CMAKE_CURRENT_LIST_DIR}/cmake/spdlogConfig.cmake.in")
    set(project_config_out "${CMAKE_CURRENT_BINARY_DIR}/spdlogConfig.cmake")
    set(config_targets_file "spdlogConfigTargets.cmake")
    set(version_config_file "${CMAKE_CURRENT_BINARY_DIR}/spdlogConfigVersion.cmake")
    set(export_dest_dir "${CMAKE_INSTALL_LIBDIR}/cmake/spdlog")
    set(pkgconfig_install_dir "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
    set(pkg_config "${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc")

    # ---------------------------------------------------------------------------------------
    # Include files
    # ---------------------------------------------------------------------------------------
    install(DIRECTORY include/ DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}" PATTERN "fmt/bundled" EXCLUDE)
    install(
        TARGETS spdlog spdlog_header_only
        EXPORT spdlog
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

    if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
        install(DIRECTORY include/${PROJECT_NAME}/fmt/bundled/
                DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/fmt/bundled/")
    endif()

    # ---------------------------------------------------------------------------------------
    # Install pkg-config file
    # ---------------------------------------------------------------------------------------
    get_target_property(PKG_CONFIG_DEFINES spdlog INTERFACE_COMPILE_DEFINITIONS)
    string(REPLACE ";" " -D" PKG_CONFIG_DEFINES "${PKG_CONFIG_DEFINES}")
    string(CONCAT PKG_CONFIG_DEFINES "-D" "${PKG_CONFIG_DEFINES}")
    configure_file("cmake/${PROJECT_NAME}.pc.in" "${pkg_config}" @ONLY)
    install(FILES "${pkg_config}" DESTINATION "${pkgconfig_install_dir}")

    # ---------------------------------------------------------------------------------------
    # Install CMake config files
    # ---------------------------------------------------------------------------------------
    install(EXPORT spdlog DESTINATION ${export_dest_dir} NAMESPACE spdlog:: FILE ${config_targets_file})

=== bench/CMakeLists.txt ===
# Copyright(c) 2019 spdlog authors Distributed under the MIT License (http://opensource.org/licenses/MIT)

cmake_minimum_required(VERSION 3.10)
project(spdlog_bench CXX)

if(NOT TARGET spdlog)
    # Stand-alone build
    find_package(spdlog CONFIG REQUIRED)
endif()

find_package(Threads REQUIRED)
find_package(benchmark CONFIG REQUIRED)

add_executable(bench bench.cpp)
spdlog_enable_warnings(bench)
target_link_libraries(bench PRIVATE spdlog::spdlog)

add_executable(async_bench async_bench.cpp)
target_link_libraries(async_bench PRIVATE spdlog::spdlog)

add_executable(latency latency.cpp)
target_link_libraries(latency PRIVATE benchmark::benchmark spdlog::spdlog)

add_executable(formatter-bench formatter-bench.cpp)
target_link_libraries(formatter-bench PRIVATE benchmark::benchmark spdlog::spdlog)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

soversion = 1
fmtabi = $(shell apt show libfmt-dev 2>/dev/null | sed -n 's/Depends: .*libfmt\([0-9]*\) .*/\1/p')
spdlogfmtabi = libspdlog$(soversion)-fmt$(fmtabi)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake

# meson, not recommended by upstream
#override_dh_auto_configure:
#	dh_auto_configure -- -Denable_tests=true -Dexternal_fmt=true -Dlibrary_type=shared

override_dh_auto_configure:
	rm -Rf include/spdlog/fmt/bundled/
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLE=ON \
		-DSPDLOG_BUILD_EXAMPLE_HO=ON \
		-DSPDLOG_BUILD_TESTS=ON \
		-DSPDLOG_FMT_EXTERNAL=ON \
		-DSPDLOG_BUILD_TESTS_HO=ON \
		-DSPDLOG_BUILD_SHARED=ON
else
	dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLE=OFF \
		-DSPDLOG_BUILD_EXAMPLE_HO=OFF \
		-DSPDLOG_BUILD_TESTS=OFF \
		-DSPDLOG_FMT_EXTERNAL=ON \
		-DSPDLOG_BUILD_TESTS_HO=OFF \
		-DSPDLOG_BUILD_SHARED=ON
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export CTEST_PARALLEL_LEVEL=1 && cd obj-* && ctest -j1
endif

override_dh_auto_install:
	rm -f example/logs/.gitignore
	dh_auto_install
	find debian -name .gitignore -delete

override_dh_gencontrol:
	dh_gencontrol -- -Vspdlog:Provides=$(spdlogfmtabi)

override_dh_makeshlibs:
	dh_makeshlibs -plibspdlog$(soversion) -V '$(spdlogfmtabi)'

## spdlog 1.8.1+ds

=== debian/changelog ===
spdlog (1:1.8.1+ds-2.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Feb 2021 15:04:09 -0800

spdlog (1:1.8.1+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Track fmtlib abi in libspdlog1 (Closes: #978471)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 30 Dec 2020 02:30:44 +0800

spdlog (1:1.8.1+ds-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Drop symbols file
    Closes: #977454

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 18:33:59 +0100

spdlog (1:1.8.1+ds-1) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Freshen patches

  [ Andreas Tille ]
  * Provide symbols file for amd64 only to reduce maintenance burden
    Closes: #966959
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2020 09:50:06 +0100

spdlog (1:1.5.0+ds-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark one more symbol as optional for ppc64 when building with -O3.
    Closes: #961134

  [ Michael R. Crusoe ]
  * Move libfmt-dev dependency from libspdlog1 to libspdlog-dev.
    Closes: #962089
  * Adjust libspdlog1 symbols for buster-bpo/amd64. Closes: #963481
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jun 2020 17:20:18 +0200

spdlog (1:1.5.0+ds-4) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Update Michael's email address

  [ Nilesh Patra ]
  * Use system libfmt by default
    Closes: #956694

  [ Andreas Tille ]
  * Add salsa-ci.yml

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 14 Jun 2020 20:46:53 +0200

spdlog (1:1.5.0+ds-3) unstable; urgency=medium

  * Speed up nocheck build profile by not building the tests & example

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Mar 2020 11:44:57 +0100

spdlog (1:1.5.0+ds-3~rc1) experimental; urgency=medium

  * Hopefully the final symbols refresh for 1.5.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Mar 2020 08:50:12 +0100

spdlog (1:1.5.0+ds-3~rc0) experimental; urgency=medium

  * Depend on newer libfmt (Closes: #952625)
  * libspdlog-dev is Multi-Arch: same

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Mar 2020 11:45:33 +0100

=== debian/control ===
Source: spdlog
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: libdevel
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfmt-dev (>= 6.1.2+ds),
               libsystemd-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/spdlog
Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
Homepage: https://github.com/gabime/spdlog
Rules-Requires-Root: no

Package: libspdlog-dev
Architecture: any
Multi-Arch: same
Depends: libfmt-dev (>= 6.1.2+ds),
         libspdlog1 (= ${binary:Version}),
         ${misc:Depends}
Description: Very fast, header only or compiled, C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.

Package: libspdlog1
Architecture: any
Multi-Arch: same
Section: libs
Breaks: bear (<< 3.0.5-1),
        libear (<< 3.0.5-1),
        libpurify2.0 (<< 2.0.0-5+b2),
        nheko (<< 0.7.2-3+b1),
        purify (<< 2.0.0-5+b2),
        waybar(<< 0.9.4-1+b2)
Provides: ${spdlog:Provides}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Very fast C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.
 .
 This is the compiled version of the library.

=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibspdlog$(soversion) -V '$(spdlogfmtabi)'
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: cmake, g++, libspdlog-dev

## spdlog 1.8.5+ds

=== debian/changelog ===
spdlog (1:1.8.5+ds-3) unstable; urgency=medium

  * Ignore vendored copy of catch.hpp; use the one from the catch2
    package instead. Closes: #993511

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Sep 2021 14:59:55 +0200

spdlog (1:1.8.5+ds-2) unstable; urgency=medium

  * Fix autopkgtests by tweaking our patch and matching compilation flags
    better. (Closes: #992977)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 26 Aug 2021 13:20:09 +0200

spdlog (1:1.8.5+ds-1) unstable; urgency=medium

  * Team upload

  [ Pino Toscano ]
  * Limit libsystemd-dev build dependency to linux-any
  * Fix dh_auto_test override

  [ xiao sheng wen ]
  * New upstream version 1.8.5+ds (Closes: #992359)
  * d/watch: fix typo

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 07 Jun 2021 11:03:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: spdlog
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: libdevel
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               pkg-config,
+               libsystemd-dev [linux-any],
                libfmt-dev (>= 6.1.2+ds),
-               libsystemd-dev,
-               pkg-config,
-               pkg-kde-tools
+               pkg-kde-tools,
+               catch2
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
@@ -19,8 +19,9 @@
 Package: libspdlog-dev
 Architecture: any
 Multi-Arch: same
-Depends: libfmt-dev (>= 6.1.2+ds),
-         libspdlog1 (= ${binary:Version}),
+Depends: libspdlog1 (= ${binary:Version}),
+         libfmt-dev (>= 6.1.2+ds),
+         catch2,
          ${misc:Depends}
 Description: Very fast, header only or compiled, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
@@ -46,7 +47,8 @@
         purify (<< 2.0.0-5+b2),
         waybar(<< 0.9.4-1+b2)
 Provides: ${spdlog:Provides}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Very fast C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat

=== debian/watch ===
version=4

opts=repacksuffix=+ds,dversionmangle=auto \
  https://github.com/gabime/spdlog/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## spdlog 1.9.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,13 @@
 message(STATUS "Build spdlog: ${SPDLOG_VERSION}")
 
 include(GNUInstallDirs)
+
+# ---------------------------------------------------------------------------------------
+# Set CMake policies to support later version behaviour
+# ---------------------------------------------------------------------------------------
+if(POLICY CMP0077)
+    cmake_policy(SET CMP0077 NEW) # option() honors variables already set
+endif()
 
 # ---------------------------------------------------------------------------------------
 # Set default build to release
@@ -28,6 +35,11 @@
 if(NOT CMAKE_CXX_STANDARD)
     set(CMAKE_CXX_STANDARD 11)
     set(CMAKE_CXX_STANDARD_REQUIRED ON)
+endif()
+
+# make sure __cplusplus is defined when using msvc and enable parallel build
+if(MSVC)
+    string(APPEND CMAKE_CXX_FLAGS " /Zc:__cplusplus /MP")
 endif()
 
 set(CMAKE_CXX_EXTENSIONS OFF)
@@ -87,10 +99,15 @@
 if(WIN32)
     option(SPDLOG_WCHAR_SUPPORT "Support wchar api" OFF)
     option(SPDLOG_WCHAR_FILENAMES "Support wchar filenames" OFF)
-endif()
+else()
+    set(SPDLOG_WCHAR_SUPPORT OFF CACHE BOOL "non supported option" FORCE)
+    set(SPDLOG_WCHAR_FILENAMES OFF CACHE BOOL "non supported option" FORCE)
+endif()
+
 if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
-    option(SPDLOG_CLOCK_COARSE
-           "Use the much faster (but much less accurate) CLOCK_REALTIME_COARSE instead of the regular clock," OFF)
+    option(SPDLOG_CLOCK_COARSE "Use CLOCK_REALTIME_COARSE instead of the regular clock," OFF)
+else()
+    set(SPDLOG_CLOCK_COARSE OFF CACHE BOOL "non supported option" FORCE)
 endif()
 
 option(SPDLOG_PREVENT_CHILD_FD "Prevent from child processes to inherit log file descriptors" OFF)
@@ -100,6 +117,7 @@
     SPDLOG_NO_ATOMIC_LEVELS
     "prevent spdlog from using of std::atomic log levels (use only if your code never modifies log levels concurrently"
     OFF)
+option(SPDLOG_DISABLE_DEFAULT_LOGGER "Disable default logger creation" OFF)
 
 # clang-tidy
 if(${CMAKE_VERSION} VERSION_GREATER "3.5")
@@ -123,7 +141,7 @@
     list(APPEND SPDLOG_SRCS src/fmt.cpp)
 endif()
 
-if(SPDLOG_BUILD_SHARED)
+if(SPDLOG_BUILD_SHARED OR BUILD_SHARED_LIBS)
     if(WIN32)
         configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/version.rc.in ${CMAKE_CURRENT_BINARY_DIR}/version.rc @ONLY)
         list(APPEND SPDLOG_SRCS ${CMAKE_CURRENT_BINARY_DIR}/version.rc)
@@ -131,7 +149,8 @@
     add_library(spdlog SHARED ${SPDLOG_SRCS} ${SPDLOG_ALL_HEADERS})
     target_compile_definitions(spdlog PUBLIC SPDLOG_SHARED_LIB)
     if(MSVC)
-        target_compile_options(spdlog PUBLIC /wd4251 /wd4275)
+        target_compile_options(spdlog PUBLIC $<$<AND:$<CXX_COMPILER_ID:MSVC>,$<NOT:$<COMPILE_LANGUAGE:CUDA>>>:/wd4251
+                                             /wd4275>)
     endif()
     if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
         target_compile_definitions(spdlog PRIVATE FMT_EXPORT PUBLIC FMT_SHARED)
@@ -171,7 +190,7 @@
 # ---------------------------------------------------------------------------------------
 if(SPDLOG_FMT_EXTERNAL OR SPDLOG_FMT_EXTERNAL_HO)
     if(NOT TARGET fmt::fmt)
-        find_package(fmt 5.3.0 REQUIRED)
+        find_package(fmt CONFIG REQUIRED)
     endif()
     target_compile_definitions(spdlog PUBLIC SPDLOG_FMT_EXTERNAL)
     target_compile_definitions(spdlog_header_only INTERFACE SPDLOG_FMT_EXTERNAL)
@@ -186,6 +205,14 @@
     endif()
 
     set(PKG_CONFIG_REQUIRES fmt) # add dependency to pkg-config
+endif()
+
+# ---------------------------------------------------------------------------------------
+# Add required libraries for Android CMake build
+# ---------------------------------------------------------------------------------------
+if(ANDROID)
+    target_link_libraries(spdlog PUBLIC log)
+    target_link_libraries(spdlog_header_only INTERFACE log)
 endif()
 
 # ---------------------------------------------------------------------------------------
@@ -201,7 +228,8 @@
     SPDLOG_PREVENT_CHILD_FD
     SPDLOG_NO_THREAD_ID
     SPDLOG_NO_TLS
-    SPDLOG_NO_ATOMIC_LEVELS)
+    SPDLOG_NO_ATOMIC_LEVELS
+    SPDLOG_DISABLE_DEFAULT_LOGGER)
     if(${SPDLOG_OPTION})
         target_compile_definitions(spdlog PUBLIC ${SPDLOG_OPTION})
         target_compile_definitions(spdlog_header_only INTERFACE ${SPDLOG_OPTION})
@@ -255,26 +283,3 @@
     install(
         TARGETS spdlog spdlog_header_only
         EXPORT spdlog
-        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-
-    if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
-        install(DIRECTORY include/${PROJECT_NAME}/fmt/bundled/
-                DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/fmt/bundled/")
-    endif()
-
-    # ---------------------------------------------------------------------------------------
-    # Install pkg-config file
-    # ---------------------------------------------------------------------------------------
-    get_target_property(PKG_CONFIG_DEFINES spdlog INTERFACE_COMPILE_DEFINITIONS)
-    string(REPLACE ";" " -D" PKG_CONFIG_DEFINES "${PKG_CONFIG_DEFINES}")
-    string(CONCAT PKG_CONFIG_DEFINES "-D" "${PKG_CONFIG_DEFINES}")
-    configure_file("cmake/${PROJECT_NAME}.pc.in" "${pkg_config}" @ONLY)
-    install(FILES "${pkg_config}" DESTINATION "${pkgconfig_install_dir}")
-
-    # ---------------------------------------------------------------------------------------
-    # Install CMake config files
-    # ---------------------------------------------------------------------------------------
-    install(EXPORT spdlog DESTINATION ${export_dest_dir} NAMESPACE spdlog:: FILE ${config_targets_file})
-

=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,22 @@
 endif()
 
 find_package(Threads REQUIRED)
-find_package(benchmark CONFIG REQUIRED)
+find_package(benchmark CONFIG)
+if(NOT benchmark_FOUND)
+    message(STATUS "Using CMake Version ${CMAKE_VERSION}")
+    if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.11.0")
+        # User can fetch googlebenchmark
+        message(STATUS "Downloading GoogleBenchmark")
+        include(FetchContent)
+        set(BENCHMARK_ENABLE_GTEST_TESTS OFF CACHE INTERNAL "")
+        # Do not build and run googlebenchmark tests
+        FetchContent_Declare(googlebenchmark GIT_REPOSITORY https://github.com/google/benchmark.git GIT_TAG v1.5.2)
+
+        FetchContent_MakeAvailable(googlebenchmark)
+    else()
+        message(FATAL_ERROR "GoogleBenchmark is missing. Use CMake >= 3.11 or download it")
+    endif()
+endif()
 
 add_executable(bench bench.cpp)
 spdlog_enable_warnings(bench)

=== debian/changelog ===
spdlog (1:1.9.2+ds-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Dec 2021 11:37:10 -0500

spdlog (1:1.9.2+ds-0.1) experimental; urgency=medium

  * Non-maintainer upload with maintainer team acknowledgement.

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #1000967
  * d/watch: define proper filename
  * Standards-Version: 4.6.0 (routine-update)

  [ Boyuan Yang ]
  * debian/control: Bump fmtlib version requirement to (>= 8.0.1).

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Dec 2021 14:52:53 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                cmake,
                pkg-config,
                libsystemd-dev [linux-any],
-               libfmt-dev (>= 6.1.2+ds),
+               libfmt-dev (>= 8.0.1),
                pkg-kde-tools,
                catch2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
@@ -20,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libspdlog1 (= ${binary:Version}),
-         libfmt-dev (>= 6.1.2+ds),
+         libfmt-dev (>= 8.0.1),
          catch2,
          ${misc:Depends}
 Description: Very fast, header only or compiled, C++ logging library
@@ -40,15 +40,14 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Breaks: bear (<< 3.0.5-1),
         libear (<< 3.0.5-1),
         libpurify2.0 (<< 2.0.0-5+b2),
         nheko (<< 0.7.2-3+b1),
-        purify (<< 2.0.0-5+b2),
-        waybar(<< 0.9.4-1+b2)
+        purify (<< 2.0.0-5+b2)
 Provides: ${spdlog:Provides}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
 Description: Very fast C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat

=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,7 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	export CTEST_PARALLEL_LEVEL=1 && cd obj-* && ctest -j1
-endif
+	dh_auto_test --no-parallel
 
 override_dh_auto_install:
 	rm -f example/logs/.gitignore
@@ -51,6 +49,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibspdlog$(soversion) -V '$(spdlogfmtabi)'
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## spdlog 1.10.0%2Bds

=== debian/changelog ===
spdlog (1:1.10.0+ds-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Breaks and Replaces libspdlog1 << 1:1.10.0+ds-0.3 (Closes: #1017700)
    libspdlog1 1:1.10.0+ds-0.1 has same symlink libspdlog.so.1.10.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Aug 2022 20:23:44 +0800

spdlog (1:1.10.0+ds-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Rebuild with fmtlib 9.0.0.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Aug 2022 14:22:08 +0800

spdlog (1:1.10.0+ds-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Backport upstream SOVERSION change.
    During spdlog 1.9 -> 1.10, upstream breaks ABI without bumping SOVERSION.
    Upstream decides not to fix it for 1.10, but they will use
    ${SPDLOG_VERSION_MAJOR}.${SPDLOG_VERSION_MINOR} as SOVERSION since 1.11.
  * Bump SOVERSION to 1.10 (Closes: #1015742)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Aug 2022 00:25:52 +0800

spdlog (1:1.10.0+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable. (Closes: #1014568)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 28 Jul 2022 22:46:40 +0800

spdlog (1:1.10.0+ds-0.1~exp2) experimental; urgency=medium

  * Team upload.
  * Rebuild without library symbols which are unsupportable for
    c++ library.
  * debian/libspdlog1.symbols: Dropped.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jun 2022 09:24:35 -0400

spdlog (1:1.10.0+ds-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload coordinated with maintainer team. (#1012566)

  [ xiao sheng wen ]
  * New upstream version 1.10.0+ds (Closes: #1012566)
  * d/patches/use-external-fmt.patch: update for New upstream version 1.10.0+ds

  [ Andreas Tille ]
  * Add symbols file
  * Standards-Version: 4.6.1 (routine-update)

  [ Boyuan Yang ]
  * debian/libspdlog1.symbols: Add Build-Depends-Package field.
  * debian/libspdlog1.symbols: Activate SymbolsHelper for a test
    experimental build.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jun 2022 20:25:58 -0400

## spdlog 1.10.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright(c) 2019 spdlog authors Distributed under the MIT License (http://opensource.org/licenses/MIT)
 
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required(VERSION 3.10...3.21)
 
 # ---------------------------------------------------------------------------------------
 # Start spdlog project
@@ -14,13 +14,6 @@
 message(STATUS "Build spdlog: ${SPDLOG_VERSION}")
 
 include(GNUInstallDirs)
-
-# ---------------------------------------------------------------------------------------
-# Set CMake policies to support later version behaviour
-# ---------------------------------------------------------------------------------------
-if(POLICY CMP0077)
-    cmake_policy(SET CMP0077 NEW) # option() honors variables already set
-endif()
 
 # ---------------------------------------------------------------------------------------
 # Set default build to release
@@ -87,12 +80,21 @@
 
 # install options
 option(SPDLOG_INSTALL "Generate the install target" ${SPDLOG_MASTER_PROJECT})
+option(SPDLOG_USE_STD_FORMAT "Use std::format instead of fmt library. No compile-time format string checking." OFF)
 option(SPDLOG_FMT_EXTERNAL "Use external fmt library instead of bundled" OFF)
 option(SPDLOG_FMT_EXTERNAL_HO "Use external fmt header-only library instead of bundled" OFF)
 option(SPDLOG_NO_EXCEPTIONS "Compile with -fno-exceptions. Call abort() on any spdlog exceptions" OFF)
 
 if(SPDLOG_FMT_EXTERNAL AND SPDLOG_FMT_EXTERNAL_HO)
     message(FATAL_ERROR "SPDLOG_FMT_EXTERNAL and SPDLOG_FMT_EXTERNAL_HO are mutually exclusive")
+endif()
+
+if(SPDLOG_USE_STD_FORMAT AND SPDLOG_FMT_EXTERNAL_HO)
+    message(FATAL_ERROR "SPDLOG_USE_STD_FORMAT and SPDLOG_FMT_EXTERNAL_HO are mutually exclusive")
+endif()
+
+if(SPDLOG_USE_STD_FORMAT AND SPDLOG_FMT_EXTERNAL)
+    message(FATAL_ERROR "SPDLOG_USE_STD_FORMAT and SPDLOG_FMT_EXTERNAL are mutually exclusive")
 endif()
 
 # misc tweakme options
@@ -137,7 +139,7 @@
 # ---------------------------------------------------------------------------------------
 set(SPDLOG_SRCS src/spdlog.cpp src/stdout_sinks.cpp src/color_sinks.cpp src/file_sinks.cpp src/async.cpp src/cfg.cpp)
 
-if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
+if(NOT SPDLOG_USE_STD_FORMAT AND NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
     list(APPEND SPDLOG_SRCS src/fmt.cpp)
 endif()
 
@@ -152,7 +154,7 @@
         target_compile_options(spdlog PUBLIC $<$<AND:$<CXX_COMPILER_ID:MSVC>,$<NOT:$<COMPILE_LANGUAGE:CUDA>>>:/wd4251
                                              /wd4275>)
     endif()
-    if(NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
+    if(NOT SPDLOG_USE_STD_FORMAT AND NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
         target_compile_definitions(spdlog PRIVATE FMT_EXPORT PUBLIC FMT_SHARED)
     endif()
 else()
@@ -229,7 +231,8 @@
     SPDLOG_NO_THREAD_ID
     SPDLOG_NO_TLS
     SPDLOG_NO_ATOMIC_LEVELS
-    SPDLOG_DISABLE_DEFAULT_LOGGER)
+    SPDLOG_DISABLE_DEFAULT_LOGGER
+    SPDLOG_USE_STD_FORMAT)
     if(${SPDLOG_OPTION})
         target_compile_definitions(spdlog PUBLIC ${SPDLOG_OPTION})
         target_compile_definitions(spdlog_header_only INTERFACE ${SPDLOG_OPTION})
@@ -279,7 +282,3 @@
     # ---------------------------------------------------------------------------------------
     # Include files
     # ---------------------------------------------------------------------------------------
-    install(DIRECTORY include/ DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}" PATTERN "fmt/bundled" EXCLUDE)
-    install(
-        TARGETS spdlog spdlog_header_only
-        EXPORT spdlog

=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,11 @@
         # User can fetch googlebenchmark
         message(STATUS "Downloading GoogleBenchmark")
         include(FetchContent)
-        set(BENCHMARK_ENABLE_GTEST_TESTS OFF CACHE INTERNAL "")
+
+        # disable tests  
+        set(BENCHMARK_ENABLE_TESTING OFF CACHE INTERNAL "")        
         # Do not build and run googlebenchmark tests
-        FetchContent_Declare(googlebenchmark GIT_REPOSITORY https://github.com/google/benchmark.git GIT_TAG v1.5.2)
-
+        FetchContent_Declare(googlebenchmark GIT_REPOSITORY https://github.com/google/benchmark.git GIT_TAG v1.6.0)
         FetchContent_MakeAvailable(googlebenchmark)
     else()
         message(FATAL_ERROR "GoogleBenchmark is missing. Use CMake >= 3.11 or download it")

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                cmake,
                pkg-config,
                libsystemd-dev [linux-any],
-               libfmt-dev (>= 8.0.1),
+               libfmt-dev (>= 9.0.0),
                pkg-kde-tools,
                catch2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
@@ -19,8 +19,8 @@
 Package: libspdlog-dev
 Architecture: any
 Multi-Arch: same
-Depends: libspdlog1 (= ${binary:Version}),
-         libfmt-dev (>= 8.0.1),
+Depends: libspdlog1.10 (= ${binary:Version}),
+         libfmt-dev (>= 9.0.0),
          catch2,
          ${misc:Depends}
 Description: Very fast, header only or compiled, C++ logging library
@@ -36,7 +36,7 @@
  Various log targets:
  Rotating log files, Daily log files, Console logging, Linux syslog.
 
-Package: libspdlog1
+Package: libspdlog1.10
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -46,7 +46,9 @@
         libear (<< 3.0.5-1),
         libpurify2.0 (<< 2.0.0-5+b2),
         nheko (<< 0.7.2-3+b1),
-        purify (<< 2.0.0-5+b2)
+        purify (<< 2.0.0-5+b2),
+        libspdlog1 (<< 1:1.10.0+ds-0.3)
+Replaces: libspdlog1 (<< 1:1.10.0+ds-0.3)
 Provides: ${spdlog:Provides}
 Description: Very fast C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-soversion = 1
+soversion = 1.10
 fmtabi = $(shell apt show libfmt-dev 2>/dev/null | sed -n 's/Depends: .*libfmt\([0-9]*\) .*/\1/p')
 spdlogfmtabi = libspdlog$(soversion)-fmt$(fmtabi)

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: libspdlog-dev, cmake, g++

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gabime/spdlog/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## spdlog 1.12.0+ds

=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
         message(STATUS "Downloading GoogleBenchmark")
         include(FetchContent)
 
-        # disable tests  
-        set(BENCHMARK_ENABLE_TESTING OFF CACHE INTERNAL "")        
+        # disable tests
+        set(BENCHMARK_ENABLE_TESTING OFF CACHE INTERNAL "")
         # Do not build and run googlebenchmark tests
         FetchContent_Declare(googlebenchmark GIT_REPOSITORY https://github.com/google/benchmark.git GIT_TAG v1.6.0)
         FetchContent_MakeAvailable(googlebenchmark)

=== example/CMakeLists.txt ===
# Copyright(c) 2019 spdlog authors Distributed under the MIT License (http://opensource.org/licenses/MIT)

cmake_minimum_required(VERSION 3.10)
project(spdlog_examples CXX)

if(NOT TARGET spdlog)
    # Stand-alone build
    find_package(spdlog REQUIRED)
endif()

# ---------------------------------------------------------------------------------------
# Example of using pre-compiled library
# ---------------------------------------------------------------------------------------
add_executable(example example.cpp)
target_link_libraries(example PRIVATE spdlog::spdlog $<$<BOOL:${MINGW}>:ws2_32>)

# ---------------------------------------------------------------------------------------
# Example of using header-only library
# ---------------------------------------------------------------------------------------
if(SPDLOG_BUILD_EXAMPLE_HO)
    add_executable(example_header_only example.cpp)
    target_link_libraries(example_header_only PRIVATE spdlog::spdlog_header_only)
endif()

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(spdlog_utests CXX)

if(NOT TARGET spdlog)
    # Stand-alone build
    find_package(spdlog REQUIRED)
endif()

include(../cmake/utils.cmake)

find_package(PkgConfig)
if(PkgConfig_FOUND)
    pkg_check_modules(systemd libsystemd)
endif()

find_package(Catch2 3 QUIET)
if(Catch2_FOUND)
    message(STATUS "Packaged version of Catch will be used.")
else()
    message(STATUS "Bundled version of Catch will be downloaded and used.")
    include(FetchContent)
    FetchContent_Declare(Catch2 GIT_REPOSITORY https://github.com/catchorg/Catch2.git GIT_TAG v3.3.2)
    FetchContent_MakeAvailable(Catch2)
endif()

set(SPDLOG_UTESTS_SOURCES
    test_file_helper.cpp
    test_file_logging.cpp
    test_daily_logger.cpp
    test_misc.cpp
    test_eventlog.cpp
    test_pattern_formatter.cpp
    test_async.cpp
    test_registry.cpp
    test_macros.cpp
    utils.cpp
    main.cpp
    test_mpmc_q.cpp
    test_dup_filter.cpp
    test_fmt_helper.cpp
    test_stdout_api.cpp
    test_backtrace.cpp
    test_create_dir.cpp
    test_custom_callbacks.cpp
    test_cfg.cpp
    test_time_point.cpp
    test_stopwatch.cpp)

if(NOT SPDLOG_NO_EXCEPTIONS)
    list(APPEND SPDLOG_UTESTS_SOURCES test_errors.cpp)
endif()

if(systemd_FOUND)
    list(APPEND SPDLOG_UTESTS_SOURCES test_systemd.cpp)
endif()

if(NOT SPDLOG_USE_STD_FORMAT)
    list(APPEND SPDLOG_UTESTS_SOURCES test_bin_to_hex.cpp)
endif()

enable_testing()

function(spdlog_prepare_test test_target spdlog_lib)
    add_executable(${test_target} ${SPDLOG_UTESTS_SOURCES})
    spdlog_enable_warnings(${test_target})
    target_link_libraries(${test_target} PRIVATE ${spdlog_lib})
    if(systemd_FOUND)
        target_link_libraries(${test_target} PRIVATE ${systemd_LIBRARIES})
    endif()
    target_link_libraries(${test_target} PRIVATE Catch2::Catch2WithMain)
    if(SPDLOG_SANITIZE_ADDRESS)
        spdlog_enable_sanitizer(${test_target})
    endif()
    add_test(NAME ${test_target} COMMAND ${test_target})
    set_tests_properties(${test_target} PROPERTIES RUN_SERIAL ON)
endfunction()

# The compiled library tests
if(SPDLOG_BUILD_TESTS OR SPDLOG_BUILD_ALL)
    spdlog_prepare_test(spdlog-utests spdlog::spdlog)
endif()

# The header-only library version tests
if(SPDLOG_BUILD_TESTS_HO OR SPDLOG_BUILD_ALL)
    spdlog_prepare_test(spdlog-utests-ho spdlog::spdlog_header_only)
endif()

=== debian/changelog ===
spdlog (1:1.12.0+ds-2build2) plucky; urgency=medium

  * No-change rebuild for libfmt10

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 22:17:42 +0000

spdlog (1:1.12.0+ds-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:18 +0200

spdlog (1:1.12.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Specify minimum compatible version of catch2.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Nov 2023 05:04:22 -0500

spdlog (1:1.12.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Fri, 17 Nov 2023 01:43:49 -0500

spdlog (1:1.12.0+ds-1~exp) experimental; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
    Closes: #1053774, #1054684
  * Remove constraints unnecessary since bullseye (oldstable):
    + libspdlog1.10: Drop conflict with removed package nheko (<< 0.7.2-3+b1) in
      Breaks.

  [ Andrius Merkys ]
  * Apply upstream patch to fix tests.
  * Adapt to soversion change.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Nov 2023 01:49:23 -0500

spdlog (1:1.10.0+ds-1) unstable; urgency=medium

  * Acknowlege NMUs.
  * d/watch: fix for GitHub breakage.
  * d/control: libspdlog-dev suggests qtbase5-dev,  libsystemd-dev to
    support optional features.
  * d/rules: remove three headers that aren't usable on Debian. Closes:
    #1035373
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Sep 2023 16:24:02 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-soversion = 1.10
+soversion = 1.12
 fmtabi = $(shell apt show libfmt-dev 2>/dev/null | sed -n 's/Depends: .*libfmt\([0-9]*\) .*/\1/p')
 spdlogfmtabi = libspdlog$(soversion)-fmt$(fmtabi)
 
@@ -43,6 +43,9 @@
 	rm -f example/logs/.gitignore
 	dh_auto_install
 	find debian -name .gitignore -delete
+	find debian -name mongo_sink.h -delete  # no satisfiable in Debian
+	find debian -name tcp_client-windows.h -delete  # no satisfiable in Debian
+	find debian -name udp_client-windows.h -delete  # no satisfiable in Debian
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vspdlog:Provides=$(spdlogfmtabi)
